Package twisted :: Package popsicle :: Module freezer :: Class Freezer

[show private | hide private]
[frames | no frames]

## Class Freezer

Method Summary
| `__init__(self)`
| ``addSaver`(self, obj, saver)` Add an interested saver to a particular object.
| ``clean`(self)` Persistence tick.
| `delete(self, obj)`
| `dirty(self, obj, dirt)`
| `getPersistentReference(self, obj, repo)`
| `register(self, obj, repo)`
| `removeSaver(self, obj, saver)`
| `setPersistentReference(self, obj, pref)`

Class Variable Summary
`int` | `DELETE`
`int` | `SAVE`

Method Details

### addSaver(self, obj, saver)

Add an interested saver to a particular object.

### clean(self)

Persistence tick. Clean out the fridge, persist everything that wants to be saved.

Class Variable Details

### DELETE

  Type:
    `int`
  Value:

        0

### SAVE

  Type:
    `int`
  Value:

        1

Generated by Epydoc 1.1 on Sat Feb 15 21:17:57 2003 | http://epydoc.sf.net